Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation
Theme

Retrieve an item

GET
/conversations/{conversation_id}/items/{item_id}

Get a single item from a conversation with the given IDs.

Retrieve an item

curl https://api.openai.com/v1/conversations/conv_123/items/msg_abc \
  -H "Authorization: Bearer $OPENAI_API_KEY"
Response example
{
  "type": "message",
  "id": "msg_abc",
  "status": "completed",
  "role": "user",
  "content": [
    {"type": "input_text", "text": "Hello!"}
  ]
}
Path Parameters
conversation_id: string

The ID of the conversation that contains the item.

item_id: string

The ID of the item to retrieve.

Query Parameters
include: optional array of ResponseIncludable

Additional fields to include in the response. See the include parameter for listing Conversation items above for more information.

Returns
ConversationItem = Message { id, content, role, 3 more } or FunctionCall { id, arguments, call_id, 7 more } or FunctionCallOutput { id, output, status, 6 more } or 26 more

A single item within a conversation. The set of possible types are the same as the output type of a Response object.

Returns Examples
Response example
{
  "type": "message",
  "id": "msg_abc",
  "status": "completed",
  "role": "user",
  "content": [
    {"type": "input_text", "text": "Hello!"}
  ]
}